scala.dbc.result
class Field

[source: `scala/dbc/result/Field.scala`]

`abstract` `class` Field
  `extends` AnyRef

  An ISO-9075:2003 (SQL) table field.

Method Summary
`final def` | approximateNumericValue [NativeType] : ApproximateNumeric[NativeType]
`final def` | booleanValue : Boolean
`final def` | characterLargeObjectValue : CharacterLargeObject
`final def` | characterValue : Character
`final def` | characterVaryingValue : CharacterVarying
`abstract def` | content : Value The content (value) of the field. The type of this value is undefined, transformation into a useful type will be done by an automatic view function defined in the field object.
`final def` | exactNumericValue [NativeType] : ExactNumeric[NativeType]
`abstract def` | metadata : FieldMetadata The field metadata attached to this field.
`abstract def` | originatingTuple : Tuple The tuple that contains this field.
`final def` | unknownValue : Unknown
`final def` | value [Type <: Value] : Type

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`abstract` `def` content : Value

  The content (value) of the field. The type of this value is undefined, transformation into a useful type will be done by an automatic view function defined in the field object.

`final` `def` value[Type <: Value] : Type

`final` `def` exactNumericValue[NativeType] : ExactNumeric[NativeType]

`final` `def` approximateNumericValue[NativeType] : ApproximateNumeric[NativeType]

`final` `def` booleanValue : Boolean

`final` `def` characterValue : Character

`final` `def` characterLargeObjectValue : CharacterLargeObject

`final` `def` characterVaryingValue : CharacterVarying

`final` `def` unknownValue : Unknown

`abstract` `def` originatingTuple : Tuple

  The tuple that contains this field.

`abstract` `def` metadata : FieldMetadata

  The field metadata attached to this field.